LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XAxisYSupplier Interface Referencepublished

gives access to the y-axis of a chart. More...

`import"XAxisYSupplier.idl";`

Inheritance diagram for XAxisYSupplier:

## Public Member Functions
com::sun::star::drawing::XShape | getYAxisTitle ()
com::sun::star::beans::XPropertySet | getYAxis ()
com::sun::star::beans::XPropertySet | getYHelpGrid ()
com::sun::star::beans::XPropertySet | getYMainGrid ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the y-axis of a chart.

Note that not all diagrams are capable of displaying a y-axis, e.g., the PieDiagram.

See also
  XDiagram

## Member Function Documentation

## ◆ getYAxis()

com::sun::star::beans::XPropertySet getYAxis | ( |  | ) |

Returns
  the properties of the y-axis of the diagram.

The returned property set contains scaling properties as well as formatting properties.

See also
  ChartAxis

## ◆ getYAxisTitle()

com::sun::star::drawing::XShape getYAxisTitle | ( |  | ) |

Returns
  the y-axis title shape.

See also
  ChartTitle

## ◆ getYHelpGrid()

com::sun::star::beans::XPropertySet getYHelpGrid | ( |  | ) |

Returns
  the properties of the help grid (minor grid) of the y-axis of the diagram.

See also
  ChartGrid

## ◆ getYMainGrid()

com::sun::star::beans::XPropertySet getYMainGrid | ( |  | ) |

Returns
  the properties of the main grid (major grid) of the y-axis of the diagram.

See also
  ChartGrid

The documentation for this interface was generated from the following file:

- com/sun/star/chart/XAxisYSupplier.idl